{% if chrony_servers is defined -%}
{% for server_args in chrony_servers %}
server {{ server_args }}
{% endfor %}
{%- endif %}

{% if chrony_ntp_clients is defined -%}
{% for client_subnet in chrony_ntp_clients -%}
allow {{ client_subnet }}
{%- endfor %}
{%- endif %}

{% if chrony_driftfile_path is defined -%}
driftfile {{ chrony_driftfile_path }}
{%- endif %}

{% if chrony_keyfile_path is defined -%}
keyfile {{ chrony_keyfile_path }}
{%- endif %}

{% if chrony_logdir_path is defined -%}
logdir {{ chrony_logdir_path }}
{%- endif %}

{% if local is defined -%}
local {{ local }}
{%- endif %}

{% if chrony_makestep_args is defined -%}
makestep {{ chrony_makestep_args }}
{%- endif %}

{% if enable_settime -%}
manual
{%- endif %}

{% if chrony_enable_rtcsync -%}
rtcsync
{%- endif %}
